#include <iostream>
using namespace std;

int main() {
	int a, b, c, d;
	cin >> c >> d;
	cin >> a >> b;
	if(a==c){
		if(b==d){
			cout << "nijedan";
			
		}
		else if(d > b){
			cout << "drugi";
		}
	}
	else if(b==d){
		if(a==c){
			cout << "nijedan";
			
		}
		else if(c > a){
			cout << "prvi";
		}
	}
	else if(c > a){
		if(b==d){
			cout << "prvi";
			
		}
		else if(d > b){
			cout << "?";
		}
	}
	else if(d > b){
		if(a==c){
			cout << "drugi";
			
		}
		else if(c > a){
			cout << "?";
		}
	}
	
	// your code goes here
	return 0;
}